graphics/imv - The NetBSD Packages Collection

Image viewer for X11/Wayland

imv is a command line image viewer intended for use with tiling
window managers.

Features
--------

* Native Wayland and X11 support
* Support for dozens of image formats including:
  * PNG
  * JPEG
  * Animated GIFs
  * SVG
  * TIFF
  * Various RAW formats
  * Photoshop PSD files
* Configurable key bindings and behaviour
* Highly scriptable with IPC via imv-msg

Build dependencies

devel/meson pkgtools/x11-links x11/xorgproto x11/xcb-proto pkgtools/cwrappers textproc/asciidoc devel/glib2-tools devel/pkgconf

Runtime dependencies

graphics/librsvg devel/pango x11/libxcb graphics/png graphics/glu graphics/glu graphics/MesaLib lang/python38 lang/python38 graphics/freeimage graphics/tiff textproc/icu textproc/inih x11/libxkbcommon graphics/librsvg devel/pango graphics/png graphics/glu graphics/MesaLib graphics/tiff textproc/icu x11/libxkbcommon

Available binary packages

aarch64:imv-4.1.0nb4.tgz(NetBSD 9.0)
aarch64:imv-4.1.0nb5.tgz(NetBSD 9.0)
aarch64:imv-4.1.0nb6.tgz(NetBSD 9.0)
earmv6hf:imv-4.1.0nb6.tgz(NetBSD 9.0)
earmv6hf:imv-4.1.0nb6.tgz(NetBSD 9.0)
earmv7hf:imv-4.1.0nb6.tgz(NetBSD 9.0)
earmv7hf:imv-4.1.0nb6.tgz(NetBSD 9.0)
i386:imv-4.1.0nb4.tgz(NetBSD 9.0)
i386:imv-4.1.0nb5.tgz(NetBSD 9.0)
i386:imv-4.1.0nb6.tgz(NetBSD 9.0)
sparc64:imv-4.1.0nb5.tgz(NetBSD 9.0)
x86_64:imv-4.1.0nb6.tgz(NetBSD 9.0)
x86_64:imv-4.1.0nb6.tgz(NetBSD 9.0)
x86_64:imv-4.1.0nb6.tgz(NetBSD 9.0)
x86_64:imv-4.1.0nb5.tgz(NetBSD 9.0)
x86_64:imv-4.1.0nb4.tgz(NetBSD 9.0)
x86_64:imv-4.1.0nb5.tgz(NetBSD 9.0)
x86_64:imv-4.1.0nb6.tgz(NetBSD 9.0)
x86_64:imv-4.2.0.tgz(NetBSD 9.0)

Binary packages can be installed with pkgin or pkg_add(1). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

svg
Enable SVG support.
wayland
Enable support for the Wayland display server protocol.
x11
Enable X11 support.

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.


[ Go up one level | Go to top of packages tree | List all packages ]